Bug 50831 - RTF: FILESAVE empty lines get different font size after reopening document
Summary: RTF: FILESAVE empty lines get different font size after reopening document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:3.7.0 target:3.6.0.0.beta3...
Keywords: filter:rtf
Depends on:
Blocks:
 
Reported: 2012-06-07 06:33 UTC by peter.hermsdorf
Modified: 2015-12-17 12:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample rtf which schows the result after saving (3.57 KB, application/rtf)
2012-06-11 02:39 UTC, peter.hermsdorf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description peter.hermsdorf 2012-06-07 06:33:16 UTC
Problem description: 
when saving an document containing multiple empty lines as RTF document, the lines have a different font size after opening the document again

Steps to reproduce:
1. create new empty writer document with some text and some empty lines between them
2. format everything as Arial size 10 (initially the size is 12)
3. save as RTF and close the document
4. open the saved RTF file

Current behavior:
text ist Arial 10, the empty lines are Arial 12
(empty lines height changes the layout of the page)

Expected behavior:
everything is Arial 10 

Platform (if different from the browser): 
Windows

bug is also in libreoffice 3.4.3
Comment 1 Jean-Baptiste Faure 2012-06-09 12:39:05 UTC
Reproducible with LO 3.6.0alpha1+ (Build ID: 214c3b9) under Ubuntu 11.10 x86_64 with gnome-shell.

@Miklos: one for you. Please feel free to reassign if you can't handle this bug.

Best regards. JBF
Comment 2 Miklos Vajna 2012-06-11 01:23:04 UTC
Hi Peter,

Can you please attach a sample ODT that shows the problem?

Thanks,

Miklos
Comment 3 peter.hermsdorf 2012-06-11 02:39:03 UTC
Created attachment 62875 [details]
sample rtf which schows the result after saving

when you open that file you see that the blank lines are times new roman with size 12.
the whole file was saved with Arial size 10 before. After reopening the file you have that result.

bye peter
Comment 4 Miklos Vajna 2012-06-22 05:51:31 UTC
I was asking for the ODT before saving, but don't worry, I managed to reproduce the problem. :-)

I'll look into this.
Comment 5 Not Assigned 2012-06-22 07:13:17 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f916b90500033193226332d52930ab23dd79284

fdo#50831 fix RTF export of direct run formatting for empty paragraphs
Comment 6 Not Assigned 2012-06-22 08:51:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd9a96fcd642ffa0260a8684eb5dfa9061c40c71&g=libreoffice-3-6

fdo#50831 fix RTF export of direct run formatting for empty paragraphs


It will be available in LibreOffice 3.6.
Comment 7 Miklos Vajna 2012-06-22 08:52:19 UTC
Pushed to master and -3-6, marking as resolved. Will request cherry-pick to -3-5 later.
Comment 8 Not Assigned 2012-06-26 04:04:22 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4069372484f18b242a42a1996767f57b031fff6&g=libreoffice-3-5

fdo#50831 fix RTF export of direct run formatting for empty paragraphs


It will be available in LibreOffice 3.5.6.
Comment 9 peter.hermsdorf 2012-06-26 08:18:44 UTC
great! thanks you!
Comment 10 Robinson Tryon (qubit) 2015-12-17 12:06:49 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]